Page MenuHomeFreeBSD

Mk/bsd.sanity.mk: Flag nop options helpers set after bsd.port.options.mk
ClosedPublic

Authored by tobik on Mar 12 2019, 5:21 AM.

Details

Summary

Just last week lang/harbour (rP494667) and www/igal2 (rP495361)
were broken in that regard. It feels like a big waste of time and
energy to raise these issues post commit. Before I open a PR for
portlint about it, maybe the framework itself can flag this as a
problem instead.

Test Plan

I've run make -V DEV_ERROR over the tree. The following ports
currently have problems:

chinese/fcitx
databases/ldb13
databases/ldb14
databases/percona55-client
databases/percona55-server
databases/py-sqlalchemy10
devel/flang
lang/harbour
mail/mimedefang
net/ng_mikrotik_eoip
net-mgmt/pnp
net-mgmt/pnp-icinga2
www/igal2
www/py-bottle-cork

Maybe false positives due to the port defining a variable that looks
like an options helper. These could trivially be fixed by renaming
the variable:

mail/exim		LMDB_LIBS
mail/exim-ldap2
mail/exim-monitor
mail/exim-mysql
mail/exim-postgresql
mail/exim-sa-exim
mail/exim-sqlite
databases/virtuoso	IODBC_CPPFLAGS

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Mar 12 2019, 5:21 AM
mat added inline comments.Mar 12 2019, 8:18 PM
Mk/bsd.sanity.mk
291–297 ↗(On Diff #54960)

Could you indent the .for/.if?

tobik updated this revision to Diff 55007.Mar 13 2019, 4:32 AM
  • Indent the loop in bsd.sanity.mk too
tobik marked an inline comment as done.Mar 13 2019, 4:33 AM
mat added a comment.Mar 13 2019, 7:34 AM

This looks good, let me just have a closer look at it this week.

tobik added a comment.Apr 5 2019, 6:13 AM
In D19553#418840, @mat wrote:

This looks good, let me just have a closer look at it this week.

Did you find any problems with it?

tobik abandoned this revision.Apr 15 2019, 4:00 PM
mat added a comment.Apr 18 2019, 12:53 PM

Sorry about not getting back to you sooner. This looks good, only, please, move the bsd.sanity.mk bits before the UNSUPPORTED/DEPRECATED/... things at the end, with all the .if that exist before.

tobik reclaimed this revision.Apr 18 2019, 1:24 PM

Not sure if I understand correctly where to put it. Let me reclaim and update this.

tobik updated this revision to Diff 56339.Apr 18 2019, 1:26 PM
  • Move it before SANITY_UNSUPPORTED
mat accepted this revision as: portmgr.Apr 18 2019, 2:02 PM

Yes, exactly that, thank you.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 18 2019, 2:28 PM
This revision was automatically updated to reflect the committed changes.

See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237972 to fix some cases of OPENSSL_LDFLAGS (with proposed fix for Uses/ssl.mk).